// Hamming.java
// Solution the the Hamming Distance problem
// 2019 FIU High School Programming Competition
// Solution by KRI

import java.math.BigInteger;
import java.util.Scanner;

public class Hamming {
	
	void start(){
		Scanner in = new Scanner(System.in);
		BigInteger ba = new BigInteger(in.nextLine(),16);
		BigInteger bb = new BigInteger(in.nextLine(),16);
		
		Integer a = ba.intValue();
		Integer b = bb.intValue();
		//System.out.printf("%d, %d\n", a, b);
		
		int count = 0;  // count number of different bits
		
		for(int i=0; i < 32; i++) {
			//System.out.printf("bit %d: %d, %d\n", i, a & 1, b & 1);
			
			if( (a & 1) != (b & 1))
				count++;		
			a = a >> 1;
			b = b >> 1;
			//System.out.printf("%d, %d\n", a, b);
		} // for
		
		System.out.println(count);
		
	} // start
	
	public static void main(String[] args) throws Exception {
		new Hamming().start();
	}
} // class
