// Polynomial Multiplication - Kattis (ID: polymul1)

import java.util.Scanner;

public class Polynomial {

	public static void main(String[] args) throws Exception 
	{	
		int[] poly1 = new int[256];
		int[] poly2 = new int[256];
		int deg_1;
		int deg_2;
		int[] prod;
				
		Scanner in = new Scanner(System.in);
			
		deg_1 = in.nextInt();
		for(int i=0; i <= deg_1; i++)
			poly1[i] = in.nextInt();
		
		deg_2 = in.nextInt();
		for(int i=0; i <= deg_2; i++)
			poly2[i] = in.nextInt();
		
		// begin the multiplication
		
		prod = new int[deg_1 + deg_2 + 1];
		
		for(int i=0; i <= deg_1; i++) {
			for(int j=0; j <= deg_2; j++) {
				prod[i+j] += poly1[i] * poly2[j];
			}  // for j			
		} // for i
		
		System.out.printf("%d\n", prod.length-1 );  // degree
		
		for(int i=0; i < prod.length; i++) {		// coefficients
			System.out.printf("%d", prod[i] );
			if( i < prod.length-1)
				System.out.print(" ");
		}
		System.out.println();
				
	} // main
	
} // class
