import java.io.File;
import java.util.Scanner;
import java.util.Stack;

public class Postfix {
	
	public static int postfixEvaluate(String exp) {
	 	Stack<Integer> s = new Stack<Integer> ();

	 	// A Scanner can be used to extract tokens from a string.	 	
	 	Scanner tokens = new Scanner(exp);
		
		while (tokens.hasNext()) {
			if (tokens.hasNextInt()) {
				s.push(tokens.nextInt());
			} else {
				int num2 = s.pop();
				int num1 = s.pop();
				String op = tokens.next();
				
				if (op.equals("+")) {
					s.push(num1 + num2);
				} else if (op.equals("-")) {
					s.push(num1 - num2);
				} else if (op.equals("*")) {
					s.push(num1 * num2);
				} else {
					s.push(num1 / num2);
				}
				
			//  "+", "-", "*", "/"
			}
		}
		return s.pop();
    }	
	
	void start() {
		Scanner in = new Scanner(System.in);
		
		String line = in.nextLine();		
		System.out.println( postfixEvaluate(line) );
	}
	
	public static void main(String[] args) {
		new Postfix().start();
	}
} // class
