// Headset Sales
// 2019 FIU High School Programming Competition
// Solution by GN.

#include <iostream>     // std::cout
#include <algorithm>    // std::sort
#include <vector>       // std::vector

using namespace std;

struct isle {
       isle() {}
       int x;
       int y;
       int h;

       isle (int xx, int yy, int hh) {
       		x = xx; y = yy; h = hh;
	}
};

bool comp (isle i, isle j) { return (i.x<j.x); }

isle A[4000];

int main(void) {
	int N;

	A[0] = isle(0, 0, 0);
	int Ax, Ay;
	cin >> Ax >> Ay >> N;

	A[N + 1] = isle(Ax, Ay, 0);

	for (int i = 1; i <= N; i++) {
		cin >> A[i].x >> A[i].y >> A[i].h;
		//cout << A[i].x << " " << A[i].y << " " << A[i].h << endl;    // debugging only
	}

	std::vector<isle> vA (A, A + N + 2);               // 32 71 12 45 26 80 53 33

	// debug:
	/*
	int k = 1;
	std::cout << "vector vA contains:" << endl;
	for (std::vector<isle>::iterator it = vA.begin(); it != vA.end(); ++it) {
		cout << "[" << k++ << "]: ";
		std::cout << ' ' << it->x << ' ' << it->y << endl;
	}
	*/

    // using function as comp
    std::sort (vA.begin(), vA.end(), comp); 

    // debug:
	/*
    std::cout << "myvector contains:" << endl;
    for (std::vector<isle>::iterator it=vA.begin(); it!=vA.end(); ++it)
      std::cout << ' ' << it->x << ' ' << it->y << endl;
    // std::cout << ' ' << *it;
    // std::cout << '\n';
	*/

    // Sort A by x coordinate
    int s[4000];			// KRI: changed dimension from 1000 to 4000

    s[0] = vA[0].h;
    for (int i = 1; i <= N+1; i++) {
      s[i] = vA[i].h; 
      for (int j = i-1; j >= 0; j--) {
	if ((vA[i].y > vA[j].y) && (vA[i].x > vA[j].x)){
	  if (s[i] < s[j] + vA[i].h) {
	    s[i] = s[j] + vA[i].h;
	  }
	}
      }
    }

    int Best = s[N+1];
    for (int i = 1; i <= N; i++) {
	  // debug line:
      //cout << i << ' ' << A[i].x << " " << A[i].y << " " << A[i].h << ' ' << s[i] << endl;
    }
    
    cout << Best << endl;
    return 0;
}
