#include <iostream>     // std::cout
#include <algorithm>    // std::sort
#include <vector>       // std::vector

using namespace std;

struct node {
  node() {}
  int parent;
  int fun;
  int indeg;
  int W; // best fun assuming the current node is selected
  int WO; // best fun assuming the current node is NOT selected
  int C;
  
  node (int P, int F, int I) {
    parent = P; fun = F; indeg = I;
  }
};

int main(void) {
    int N;
    cin >> N;

    node A[10000];
    // initialization, but did not use indegree
    for (int i = 1; i <= N; i++) {
      A[i].indeg = 0;
      A[i].WO = 0;
    }

    // reading in the data
    for (int i = 1; i <= N; i++) {
      cin >> A[i].parent >> A[i].fun;
      A[A[i].parent].indeg++;
      A[i].W = A[i].fun;
      // A[i].indeg = 0;
      // cout << A[i].x << " " << A[i].y << " " << A[i].h << endl;  
    }

    // processing tree bottom up
    // ASSUMING THAT INDICES INCREASE AS YOU GO FROM ROOT TO LEAF
    for (int i = N; i > 1; i--) {
      // A[i].W =+ A[i].fun;
      int temp = A[i].WO;
      if (temp < A[i].W) temp = A[i].W;
      // if (A[A[i].parent].WO < temp)
      A[A[i].parent].WO += temp;
      // if (A[A[i].parent].W < A[A[i].parent].fun + A[i].WO) 
      A[A[i].parent].W += A[i].WO;
    }

    /*
    cout << "DEBUG" << endl;
    for (int i = 1; i <= N; i++) {
      cout << i << ' ' << A[i].parent << ' ' << A[i].fun << ' '
	   << A[i].W << ' ' << A[i].WO << endl;
    }
    */
    
    if (A[1].W > A[1].WO) 
      cout << A[1].W << endl;
    else cout << A[1].WO << endl;
    return 0;
}
