/* Word Counting by Jesus Ramos */

/*
 * Solution: The tricky part of this problem is the case insensitive
 * matching, you can convert the input word and sentence to both upper
 * or lower case (easier than equalsIgnoreCase because of substring
 * matching), although you must save a copy of the original word
 * because it is required in the output
 */

import java.util.Scanner;

public class WordCounting
{
    public static void main(String[] args)
    {
        Scanner in = new Scanner(System.in);
        int cases = Integer.parseInt(in.nextLine());
        for (int i = 0; i < cases; i++)
        {
            String word = in.nextLine();
            String sentence = in.nextLine().toLowerCase();
            String cmpWord = word.toLowerCase();
            int count = 0;
            int index = sentence.indexOf(cmpWord);

            while (index != -1)
            {
                count++;
                index = sentence.indexOf(cmpWord, index + 1);
            } 

            System.out.printf("Line #%d: Word %s occurred %d times\n", i + 1, word, count);
        }
    }
}